<?php

namespace App\Http\Controllers\Api;

use App\Models\Track;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class TrackController extends Controller
{
    public function __construct()
    {

    }

    /**
     * API lấy tất cả các bài hát để đồng bộ sang elastic
     * URL: http://localhost:8000/api/get-track-list
     * URL: http://crawler.vmusicchart.vn/api/get-track-list
     * @param Request $request
     * @return array
     */
    public function getTrackList(Request $request)
    {
        $query = Track::select(['id', 'title', 'id_zing', 'id_nct', 'id_nct_str', 'id_keeng'])
            ->orderBy('title', 'asc');

        $results = $query->get()->toArray();

        return response()->json(dataResponse(
            200,
            'Danh sách tất cả bài hát',
            $results
        ));
    }

}
