<?php

namespace App\Repositories;

use App\Models\CrawlerListenHistory;

class ListenRepository extends BaseRepository
{
    public function __construct()
    {

    }

    /**
     * Lấy toàn bộ log lượt nghe theo ngày để đồng bộ sang elastic
     *
     * @param $date
     * @return array
     */
    public function getListenHistoryByDate($date)
    {
        if (empty($date)) {
            return [];
        }

        $query = CrawlerListenHistory::where('date_log', $date)->get();
        return $query->toArray();
    }

}